CHIP_DEFS     = LBITFIELD_BASETYPE=uint8_t

CHIP_ASFLAGS = $(CHIP_CFLAGS)
CHIP_LDFLAGS = $(CHIP_CFLAGS)

CHIP_TOOLCHAIN_TARGET := avr-
CHIP_CFLAGS   := -mmcu=atmega8
LTIMER_PORT ?= atmega
LPRINTF_TARGET := atmega


CHIP_TARGET_DEVTYPE_DIR := $(CHIP_TARGET_DIR)/devs/$(CHIP_TARGET_DEVTYPE)
CHIP_TARGET_DEV_DIR := $(CHIP_TARGET_DEVTYPE_DIR)/$(CHIP_TARGET_DEV)

ifeq (,$(CHIP_TARGET_DEVTYPE))
    $(error CHIP_TARGET_DEV variable must be set to target cpu device)
else ifeq (,$(wildcard $(CHIP_TARGET_DEVTYPE_DIR)/$(CHIP_TARGET_DEVTYPE).mk))
    $(error $(CHIP_TARGET_DEVTYPE) is not supported device type)
else
    include $(CHIP_TARGET_DEVTYPE_DIR)/$(CHIP_TARGET_DEVTYPE).mk
endif
CHIP_INC_DIRS += $(CHIP_TARGET_DEVTYPE_DIR) $(CHIP_TARGET_DEV_DIR)

CHIP_INIT_SRC = $(CHIP_TARGET_DIR)/init/chip_init.c 
